
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "gilroy-regular", Sans-serif;
}
body {
  min-height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 20px;
  background: rgba(255, 103, 0, 0.15);

  background: linear-gradient(-45deg, #ff9d5a, #f9caaa, #ff9d5a, #f9caaa);
  background-size: 400% 400%;
  animation: gradientShift 10s ease infinite;
  height: 100vh;
}

@keyframes gradientShift {
    0% { background-position: 0% 50%; }
    50% { background-position: 100% 50%; }
    100% { background-position: 0% 50%; }
}

header{
  width: 100%;
  display: block;
}

.logo-container{
  width: 100%;
  display: flex;
  justify-content: center;
  margin: 30px 0;
}

.logo{
  width: 50%;
}

.h-container{
  width: 100%;
}

h1{
  font-size: 28px;
   width: 100%;
}

h6{
  font-size: 14px;
}

a{
  text-decoration: none;
}

.mt-10{
  margin-top: 10px;
}

.mt-20{
  margin-top: 20px;
}

.mt-50{
  margin-top: 50px;
}

.mb-50{
  margin-bottom: 50px;
}

.font-orange{
  color: #ff6700;
  font-size: 14px;
}

.container {
  position: relative;
  max-width: 500px;
  width: 100%;
  background: #fff;
  padding: 25px 25px 50px 25px;
  border-radius: 8px;
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
}
.container header, .h-container {
  font-size: 1.5rem;
  color: #333;
  font-weight: 500;
  text-align: center;
}
.container .form {
  margin-top: 30px;
  font-size: 12px;
}
.form .input-box {
  width: 100%;
  margin-top: 20px;
}
.input-box label {
  color: #333;
}
.form :where(.input-box input, .select-box) {
  position: relative;
  height: auto;
  width: 100%;
  outline: none;
  font-size: 14px;
  color: #000000;
  margin-top: 8px;
  border: 1px solid #ddd;
  border-radius: 6px;
  padding: 10px 15px;
}
.input-box input:focus {
  box-shadow: 0 1px 0 rgba(0, 0, 0, 0.1);
}
input::placeholder {
  color: #c7c8ca; 
  opacity: 1;
}
.form .column {
  display: flex;
  column-gap: 15px;
}
.form .gender-box {
  margin-top: 20px;
}
.gender-box h3 {
  color: #333;
  font-size: 1rem;
  font-weight: 400;
  margin-bottom: 8px;
}

.form :where(.gender-option) {
  position: relative;
  height: auto;
  width: 100%;
  outline: none;
  font-size: 14px;
  color: #c6c6c6;
  margin-top: 8px;
  padding: 10px 15px;
}

.form :where(.gender-option, .gender) {
  display: flex;
  align-items: center;
  column-gap: 50px;
  flex-wrap: wrap;
}
.form .gender {
  column-gap: 5px;
}
.gender input {
  accent-color: rgb(233, 80, 0);
}
.form :where(.gender input, .gender label) {
  cursor: pointer;
}
.gender label {
  color: #707070;
}

.select-box select {
  height: 100%;
  width: 100%;
  outline: none;
  border: none;
  color: #000000;
  font-size: 14px;
}
.form button {
  height: 55px;
  width: 100%;
  color: #fff;
  font-size: 1rem;
  font-weight: 400;
  margin-top: 30px;
  border: none;
  cursor: pointer;
  transition: all 0.2s ease;
  background: rgb(255, 103, 0);
  border-radius: 6px;
}
.form button:hover {
  background: rgb(219, 88, 0);
}


/*Responsive*/
@media screen and (max-width: 500px) {
  .form .column {
    flex-wrap: wrap;
  }
  .form :where(.gender-option, .gender) {
    row-gap: 15px;
  }
}

.check-control{
  display: grid;
  grid-template-columns: 1em auto;
  gap: 0.5em;
  margin-top: 20px;
  font-size: 14px;;
}

.check-button{
  margin-top: 0 !important;
  font-size: 14px !important;
}

input[type="checkbox"] {
    cursor: pointer;
    appearance: auto;
    box-sizing: border-box;
    padding: initial;
    border: initial;
    margin: 3px 8px 3px 4px;
    accent-color: lightslategray;
}


.error{
  color: red;
}